fsg_search_s Struct Reference

Implementation of FSG search (and "FSG set") structure. More...

`#include <fsg_search_internal.h>`

## Data Fields

ps_search_t | base
hmm_context_t * | hmmctx
| HMM context. More...
fsg_model_t * | fsg
| FSG model.
struct fsg_lextree_s * | lextree
| Lextree structure for the currently active FSG.
struct fsg_history_s * | history
| For storing the Viterbi search history.
glist_t | pnode_active
| Those active in this frame.
glist_t | pnode_active_next
| Those activated for the next frame.
int32 | beam_orig
| Global pruning threshold.
int32 | pbeam_orig
| Pruning threshold for phone transition.
int32 | wbeam_orig
| Pruning threshold for word exit.
float32 | beam_factor
| Dynamic/adaptive factor (<=1) applied to above beams to determine actual effective beams. More...
int32 | beam
int32 | pbeam
int32 | wbeam
| Effective beams after applying beam_factor.
int32 | lw
int32 | pip
int32 | wip
| Language weights.
frame_idx_t | frame
| Current frame. More...
uint8 | final
| Decoding is finished for this utterance. More...
uint8 | bestpath
| Whether to run bestpath search and confidence annotation at end. More...
float32 | ascale
| Acoustic score scale for posterior probabilities. More...
int32 | bestscore
| For beam pruning.
int32 | bpidx_start
| First history entry index this frame.
int32 | ascr
int32 | lscr
| Total acoustic and lm score for utt.
int32 | n_hmm_eval
| Total HMMs evaluated this utt.
int32 | n_sen_eval
| Total senones evaluated this utt.

## Detailed Description

Implementation of FSG search (and "FSG set") structure.

Definition at line 68 of file fsg_search_internal.h.

## Field Documentation

float32 fsg_search_s::ascale

Acoustic score scale for posterior probabilities.

Definition at line 94 of file fsg_search_internal.h.

float32 fsg_search_s::beam_factor

Dynamic/adaptive factor (<=1) applied to above beams to determine actual effective beams.

For implementing absolute pruning.

Definition at line 84 of file fsg_search_internal.h.

uint8 fsg_search_s::bestpath

Whether to run bestpath search and confidence annotation at end.

Definition at line 92 of file fsg_search_internal.h.

uint8 fsg_search_s::final

Decoding is finished for this utterance.

Definition at line 91 of file fsg_search_internal.h.

frame_idx_t fsg_search_s::frame

Current frame.

Definition at line 90 of file fsg_search_internal.h.

hmm_context_t* fsg_search_s::hmmctx

HMM context.

Definition at line 71 of file fsg_search_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/fsg_search_internal.h